/*
 *  (C) Copyright 2007-2009 by FreeShoppa Development Team
 *                        (http://chomzee.ethernet.pl/freeshoppa/)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#include "freeshoppa.h"

#ifdef WIN32
#include <SDL/SDL_mixer.h>
#else
#include <SDL_mixer.h>
#endif

int audio_init()
{
	console_print("Initializing audio...");
	
	if (SDL_Init(SDL_INIT_AUDIO) == -1)
	{
		console_print("^1FAILED!!!");
		return 1;
	}
	if (Mix_OpenAudio(22050, AUDIO_S16SYS, 2, 1024) != 0)
	{
		console_print("^1FAILED!!!");
		return 1;
	}

	console_print("^2DONE");
	return 0;
}

void audio_cleanup()
{
	console_print("Cleaning audio...");

	Mix_CloseAudio();

	console_print("^2DONE");
	return;
}


void* audio_loadWAV(char *filename)
{
	void *file;

	file = Mix_LoadWAV(filename);
#ifndef WIN32
	if (!file)
	{
		char buf[256];
		snprintf(buf, 256, "%s/%s",
			SHOPPADIR, filename);
		file = Mix_LoadWAV(buf);
	}
#endif
	if (file == NULL)
	{
		console_print("  audio: could not load %s.", filename);
		return NULL;
	}
	
	return file;
}
void audio_unloadWAV(void *sound)
{
	if (sound != NULL)
		Mix_FreeChunk(sound);
	sound = NULL;
	return;
}

void audio_play(void *sound)
{
	if (sound != NULL)
		Mix_PlayChannel(-1, sound, 0);
	return;
}
