/*
 *  (C) Copyright 2007-2009 by FreeShoppa Development Team
 *                        (http://chomzee.ethernet.pl/freeshoppa/)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef _CLIENT_H
#define _CLIENT_H

#define MAX_DROPS 8

void client_loadTextures();
void client_unloadTextures();
int client_init();
void client_cleanup();

void client_click(float x, float y);
void client_keyDown(SDLKey key);
void client_say(char *msg);
void client_name(char *msg);
void client_ingame();
void client_spectator();
void client_ready();
void client_unready();
void client_second(int second);
void client_sync();
void client_rcQueue(char *msg);
void client_rcRestart();
void client_rcKick(char *msg);

typedef struct
{
	char status;
	char name[81];
	char game_version[81];
	char protocol_version[81];
	char ready;
	char ingame;
	Ball ball[4];
} ClientPlayer;

extern ClientPlayer client_players[6];

extern int client_texArrow;
extern int client_texZookaLabel;
extern int client_texGrenadeLabel;
extern int client_texDynamiteLabel;
extern int client_texClusterLabel;
extern int client_texKillerBeeLabel;
extern int client_texHamstersLabel;
extern int client_texUp;
extern int client_texDown;
extern int client_texLeft;
extern int client_texRight;
extern int client_texRopeShoot;
extern int client_texLag;
extern int client_texZooka;
extern int client_texGrenade;
extern int client_texDynamite;
extern int client_texCluster;
extern int client_texCluster2;
extern int client_texHamster;
extern int client_texKillerBee;
extern int client_texBall0;
extern int client_texBall1;
extern int client_texBall2;
extern int client_texBall3;
extern int client_texBall4;
extern int client_texBall5;
extern int client_texBox;
extern int client_texBack;

extern void *client_sndColision1;
extern void *client_sndColision2;
extern void *client_sndColision3;
extern void *client_sndHamster1;
extern void *client_sndHamster2;
extern void *client_sndHamster3;
extern void *client_sndHamster4;
extern void *client_sndRope1;
extern void *client_sndRope2;
extern void *client_sndBoom;
extern void *client_sndJump;
extern void *client_sndThrow;
extern void *client_sndWater;

extern int client_isError;
extern char client_errormsg[81];
extern char client_serverName[81];
extern char client_motd[9][81];
extern Map *client_map;
extern char client_gameInProgress;
extern int client_turn;
extern int client_turnBall;

extern char client_doTheJob;
extern char client_playTheJob;
extern int client_secondsRecieved;
extern char client_connected;
extern int client_gametype;
extern int client_timelimit;
extern int client_fall;
extern int client_balls;
extern int client_health;
extern int client_cameraFollow;
extern int client_cameraFocus;
extern char client_local;
extern char client_exitConfirm;

extern ESS client_ess[80];
extern char client_lag;

extern char client_rcBuf[20][81];
extern int client_rcCount;
#endif

