/*
 *  (C) Copyright 2007-2009 by FreeShoppa Development Team
 *                        (http://chomzee.ethernet.pl/freeshoppa/)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#include <GL/gl.h>
#ifdef WIN32
#include <gl\glext.h>
#endif

#include "freeshoppa.h"

int fonts_loadFont(char *filename)
{
	return textures_loadBMPAlpha(filename);
}       

void fonts_unloadFont(int *font)
{
	textures_unloadBMP(font);

	return;
}

void fonts_drawChar(int font, char letter,
	float x1, float x2, float y1, float y2)
{
	if (font != -1)
	{
		char x=letter%16;
		char y=15 - letter/16;

		glBindTexture(GL_TEXTURE_2D, font);
		glBegin( GL_QUADS );
		glTexCoord2f( x*0.0625f, (y)*0.0625f );
		glVertex2f(x1, y1);

		glTexCoord2f( (x+1)*0.0625f, (y)*0.0625f );
		glVertex2f(x2, y1);

		glTexCoord2f( (x+1)*0.0625f, (y+1)*0.0625f );
		glVertex2f(x2, y2);

		glTexCoord2f( x*0.0625f, (y+1)*0.0625f );
		glVertex2f(x1, y2);

		glEnd();
	}
	return;
}
