/*
 *  (C) Copyright 2007-2009 by FreeShoppa Development Team
 *                        (http://chomzee.ethernet.pl/freeshoppa/)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#include "freeshoppa.h"

static void printBanner(void)
{
	console_print("Hello, this is ^1FreeShoppa^0, version ^1%s^0. "
		"Have fun using this game!", VERSION);
	console_print("Visit http://chomzee.ethernet.pl/freeshoppa/ "
		"for more info.");
	console_print("");
	return;
}

#ifdef WIN32
#undef main
#endif
int main(int argc, char *argv[])
{
	int p;

	console_preInit();
	printBanner();
	if (net_init())
		return 1;

	srand((int)time(NULL));
	
	/* parsing arguments */
	for (p=1; p<argc-1; p++)
		if (!strcmp("-c", argv[p]))
			snprintf(commands_configFile, 81, "%s", argv[p+1]);

	if (argc>1 && strcmp(argv[1], "dedicated")==0)
		return server_thread(NULL); /* run the server */

	else
	{
		commands_loadConfig();
		audio_init();

		if (video_init())
			return 1;
		console_init();

		video_run();

		console_cleanup();
		video_cleanup();

		audio_cleanup();
		commands_saveConfig();

	}

	net_cleanup();

	return 0;
}
