/*
 *  (C) Copyright 2007-2009 by FreeShoppa Development Team
 *                        (http://chomzee.ethernet.pl/freeshoppa/)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#include "freeshoppa.h"

char input_keys[323];
Vector input_mouse; /* mouse position */

static float sensivity = 0.8f;

int input_processEvents(void)
{
	SDL_Event event;

	while(SDL_PollEvent(&event))
	{
		switch(event.type)
		{
			case SDL_KEYDOWN:
				if (event.key.keysym.sym<0
					|| event.key.keysym.sym>322)
					break;
				input_keys[event.key.keysym.sym] = 1;

				if (event.key.keysym.sym == SDLK_F12)
					video_takeScreenshot("screen.bmp");
				
				/* swapping the console */
				if (event.key.keysym.sym == SDLK_BACKQUOTE)
				{
					console_swap();
					break;
				}
				
				/* pass the event to the console ... */
				if (console_active)
					console_keyDown(event.key.keysym.sym);
				/* ... or to the ui ... */
				else if (!ui_clientRunning)
					ui_keyDown(event.key.keysym.sym);
				/* ... or to the client :) */
				else
				{
					if (console_chatterActive)
						console_chatterKeyDown(
							event.key.keysym.sym);
					else
						client_keyDown(
							event.key.keysym.sym);
				}
				break;
				
			case SDL_KEYUP:
				if (event.key.keysym.sym<0
					|| event.key.keysym.sym>322)
					break;
				input_keys[event.key.keysym.sym] = 0;
				
				break;
				
			case SDL_MOUSEMOTION:
				if (!console_active)
				{
					input_mouse.x +=
						sensivity*(event.motion.xrel);
					input_mouse.y -=
						sensivity*(event.motion.yrel);
					if (!ui_clientRunning)
					{
						misc_minMaxLimit(&input_mouse.x,
							0.0f, 800.0f);
						misc_minMaxLimit(&input_mouse.y,
							0.0f, 600.0f);
					}
					else if (client_map
						&& client_map->ready)
					{
						misc_minMaxLimit(&input_mouse.x,
							client_map->xMin,
							client_map->xMax);
						misc_minMaxLimit(&input_mouse.y,
							0.0f,
							client_map->yMax);
						if (!client_cameraFollow)
							client_cameraFollow = 1;
						
					}
				}

				break;
			case SDL_MOUSEBUTTONDOWN:
				/* chceck if client is running and console
				 * is not active */
				if (!ui_clientRunning && !console_active)
				{
					/* 
					 * if it is only ui, then call
					 * ui_click()
					 */
					ui_click(input_mouse.x, input_mouse.y);
				}
				else
				{
					/* if it is client, send click event
					 * to the right place */
					client_click
						(input_mouse.x, input_mouse.y);
				}
				break;

			case SDL_QUIT:
				return 1;
		}
	}

	return 0;
}
