/*
 *  (C) Copyright 2007-2009 by FreeShoppa Development Team
 *                        (http://chomzee.ethernet.pl/freeshoppa/)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef _MAP_H
#define _MAP_H

#define MAXELEMENTSCOUNT 10000

typedef struct
{
	char type;
	int arg[4];
} Element;

typedef struct
{
	char name[81];
	char desc[81];
	char md5[33];
	int elementsCount;
	Element *elements;
	int spawnsCount;
	Element *spawns;
	int wallsCount;
	int xMin;
	int xMax;
	int yMax;
	int xDropMin;
	int xDropMax;
	int yDropMin;
	int yDropMax;
	char gametypes[5];
	char ready;
} Map;

Map *map_load(char *mapname, char quiet);
void map_unload(Map *map);

#endif

