/*
 *  (C) Copyright 2007-2009 by FreeShoppa Development Team
 *                        (http://chomzee.ethernet.pl/freeshoppa/)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef _MISC_H
#define _MISC_H

#define PI 3.1415927f

#define MAXCLUSTERS 5 /* do NOT change! */

typedef struct
{
	float x;
	float y;
} Vector;

typedef struct
{
	int x;
	int y;
} IntVector;

typedef struct
{
	int status;
	int health;
	int fall;
	int water;
	char eyes;
	Vector pos;
	Vector vel;
} Ball;

typedef struct
{
	int status;
	Vector pos;
	Vector vel;
	int boom;
	int fuse;
	char side; /* for hamsters */
	float rotation;
	int sndtime; /* for hamster as well */
}
Weapon;

void misc_waitFrame(int fps);
float misc_deg2rad(float deg);
float misc_rad2deg(float rad);
void misc_minMaxLimit(float *alpha, float min, float max);
void misc_keyboardInput(SDLKey key, char buffer[], int *current, int maxlen,
	char string);

int misc_segmentsIntersect(float x1, float y1, float x2, float y2,
			float x3, float y3, float x4, float y4,
			float *xr, float *yr);
#endif

