/*
 *  (C) Copyright 2007-2009 by FreeShoppa Development Team
 *                        (http://chomzee.ethernet.pl/freeshoppa/)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef _NET_H
#define _NET_H

#define BUFLEN 4096
#define MAX_LINES_PACKET 500

#define PACKET_HELLO "HELLO"
#define PACKET_JOIN "JOIN"
#define PACKET_ERROR "ERROR"
#define PACKET_SERVER_STATE "SERVER STATE"
#define PACKET_WELCOME "WELCOME"
#define PACKET_SAY "SAY"
#define PACKET_NAME "NAME"
#define PACKET_CONNECTED "CONNECTED"
#define PACKET_DISCONNECTED "DISCONNECTED"
#define PACKET_STATE "STATE"
#define PACKET_SPEC "SPEC"
#define PACKET_INGAME "INGAME"
#define PACKET_SPECTATOR "SPECTATOR"
#define PACKET_READY "READY"
#define PACKET_UNREADY "UNREADY"
#define PACKET_GAME_START "GAME START"
#define PACKET_COORDS "COORDS"
#define PACKET_TURN "TURN"
#define PACKET_GO_TURN "GO TURN"
#define PACKET_SECOND "SECOND"
#define PACKET_SYNC "SYNC"
#define PACKET_GAME_END "GAME END"
#define PACKET_RCON_RESTART "RCON RESTART"
#define PACKET_RCON_WRONG_PASSWORD "RCON WRONG PASSWORD"
#define PACKET_RCON_KICK "RCON KICK"
#define PACKET_COW "COW"

typedef struct
{
	Ball ball[6][4];
	Weapon weap[MAXCLUSTERS];
	char side;
	float aim;
	char rope;
	float ropeang;
	float ropelen;
	char hooked;
	Vector hookPos;
	char roperep;
	float omega;
	char drop;
	int walls2go;
} ESS; /* Every Second Sync */

extern char* colors[];
extern char* weapons[];

int net_init();
void net_cleanup();

#endif

