/*
 *  (C) Copyright 2007-2009 by FreeShoppa Development Team
 *                        (http://chomzee.ethernet.pl/freeshoppa/)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef _UI_H
#define _UI_H

void ui_loadTextures();
void ui_unloadTextures();
int ui_init();
void ui_cleanup();

void ui_click(float x, float y);
void ui_keyDown(SDLKey key);

extern char ui_clientRunning;
extern char ui_quitNow;
extern char ui_place;
extern int ui_texMainMenu;
extern int ui_texPractice;
extern int ui_texHost;
extern int ui_texJoin;
extern int ui_texOptions;

extern int ui_texCursor;

typedef struct _Buttons
{
	float x1, x2;
	float y1, y2;
	void (*ptr)(void);
} Buttons;

typedef struct _Edits
{
	float x1, x2;
	float y1, y2;
	const char* cmd;
	char type; /* 0=integer, 1=string */
	char editable;
	void *data;
	int len;
	int maxlen;
	char text[81];
} Edits;

extern Buttons ui_buttonsMainMenu[];
extern const int ui_buttonsMainMenuCount;
extern Buttons ui_buttonsPractice[];
extern const int ui_buttonsPracticeCount;
extern Buttons ui_buttonsHost[];
extern const int ui_buttonsHostCount;
extern Buttons ui_buttonsJoin[];
extern const int ui_buttonsJoinCount;
extern Buttons ui_buttonsOptions[];
extern const int ui_buttonsOptionsCount;

extern Edits ui_editsPractice[];
extern const int ui_editsPracticeCount;
extern int ui_activeEditPractice;
extern Edits ui_editsHost[];
extern const int ui_editsHostCount;
extern int ui_activeEditHost;
extern Edits ui_editsJoin[];
extern const int ui_editsJoinCount;
extern int ui_activeEditJoin;
extern Edits ui_editsOptions[];
extern const int ui_editsOptionsCount;
extern int ui_activeEditOptions;
#endif

